package main

import (
	"fmt"
	"os"

	"github.com/hashicorp/packer-plugin-hcloud/version"

	hcloud "github.com/hashicorp/packer-plugin-hcloud/builder/hcloud"
	"github.com/hashicorp/packer-plugin-sdk/plugin"
)

func main() {
	pps := plugin.NewSet()
	pps.RegisterBuilder(plugin.DEFAULT_NAME, new(hcloud.Builder))
	pps.SetVersion(version.PluginVersion)
	err := pps.Run()
	if err != nil {
		fmt.Fprintln(os.Stderr, err.Error())
		os.Exit(1)
	}
}
